summaryrefslogtreecommitdiffstats
path: root/ubuntu/maverick/applications/kdesudo/debian/postinst
diff options
context:
space:
mode:
authorTimothy Pearson <kb9vqf@pearsoncomputing.net>2011-07-10 16:17:43 -0500
committerTimothy Pearson <kb9vqf@pearsoncomputing.net>2011-07-10 16:17:43 -0500
commit9b2075d9b89fc628c447fbb98f43ef72e4a9c81d (patch)
tree2de9e866f064b1c7d36df24de1df305474f949fe /ubuntu/maverick/applications/kdesudo/debian/postinst
downloadtde-packaging-9b2075d9b89fc628c447fbb98f43ef72e4a9c81d.tar.gz
tde-packaging-9b2075d9b89fc628c447fbb98f43ef72e4a9c81d.zip
Initial import from old SVN repository
Note that only the Debian and Ubuntu folders were preserved
Diffstat (limited to 'ubuntu/maverick/applications/kdesudo/debian/postinst')
-rw-r--r--ubuntu/maverick/applications/kdesudo/debian/postinst23
1 files changed, 23 insertions, 0 deletions
diff --git a/ubuntu/maverick/applications/kdesudo/debian/postinst b/ubuntu/maverick/applications/kdesudo/debian/postinst
new file mode 100644
index 000000000..d452abce3
--- /dev/null
+++ b/ubuntu/maverick/applications/kdesudo/debian/postinst
@@ -0,0 +1,23 @@
+#! /bin/sh
+
+set -e
+
+package_name=kdesudo-trinity
+
+if [ -z "$package_name" ]; then
+ print >&2 "Internal Error. Please report a bug."
+ exit 1;
+fi
+
+case "$1" in
+ configure)
+ dpkg-divert --package $package_name --rename --remove \
+ /usr/trinity/bin/kdesu || true
+ ;;
+ abort-upgrade)
+ ;;
+ *) echo "$0: didn't understand being called with \`$1'" 1>&2
+ exit 0;;
+esac
+
+exit 0